Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
[Portage] emerge portage => Blocked Packages
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
Aristo
n00b
n00b


Joined: 11 Mar 2008
Posts: 1

PostPosted: Tue Mar 11, 2008 7:47 pm    Post subject: [Portage] emerge portage => Blocked Packages Reply with quote

Bonsoir
Je suis un utilisateur de Sabayon mais (sauf erreur de ma part) portage fonctionne de la même maniére sur Sabayon que sur Gentoo.
Mais comme je ne parle pas très bien anglais, j'ai préféré venir demander de l'aide ici.
Donc voilà, j'ai fait :
Code:

$sudo emerge --sync
$sudo emerge portage
Calculating dependencies... done!

!!! Error: the <sys-apps/portage-2.1.4_rc1 package conflicts with another package;
!!!        the two packages cannot be installed on the same system together.
!!!        Please use 'emerge --pretend' to determine blockers.

For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked

$ sudo emerge --pretend portage

These are the packages that would be merged, in order:

Calculating dependencies... done!

[ebuild     U ] dev-python/pycrypto-2.0.1-r6 [2.0.1-r5]
[ebuild     U ] sys-apps/portage-2.1.4.4 [2.1.3.4-r1] LINGUAS="-pl*"
*** Portage will stop merging at this point and reload itself,
    then resume the merge.
[ebuild     U ] app-shells/bash-3.2_p33 [3.2_p15-r1] USE="-plugins%"
[blocks B     ] <sys-apps/portage-2.1.4_rc1 (is blocking app-shells/bash-3.2_p33)



Le problème c'est que j'ai le même message ([blocks B ]<sys-apps/portage-2.1.4_rc1 (is blocking app-shells/bash-3.2_p33)) quand je veux mettre à jour bash.

Est ce que vous auriez un ou deux conseil à me ... déblocker ?
Merci


Et j'ai aussi un autre problème, tant que j'y suis. Ca vient quand je veux installer ddd (sudo emerge ddd), il y a apparament un problème avec "pdflib" :
Code:

*
 * ERROR: media-libs/pdflib-7.0.2 failed.
 * Call stack:
 *   ebuild.sh, line 1648:   Called dyn_install
 *   ebuild.sh, line 1083:   Called qa_call 'src_install'
 *   ebuild.sh, line 44:   Called src_install
 *   pdflib-7.0.2.ebuild, line 111:   Called java-pkg_dojar 'bind/pdflib/java/pdflib.jar'
 *   java-utils-2.eclass, line 289:   Called die
 *
 * bind/pdflib/java/pdflib.jar does not exist
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-libs/pdflib-7.0.2/temp/build.log'.
 *
!!! When you file a bug report, please include the following information:
GENTOO_VM=sun-jdk-1.6  CLASSPATH="" JAVA_HOME="/opt/sun-jdk-1.6.0.02"
JAVACFLAGS="-source 1.4 -target 1.4" COMPILER=""
and of course, the output of emerge --info

 * Messages for package media-libs/pdflib-7.0.2:

 *
 * ERROR: media-libs/pdflib-7.0.2 failed.
 * Call stack:
 *   ebuild.sh, line 1648:   Called dyn_install
 *   ebuild.sh, line 1083:   Called qa_call 'src_install'
 *   ebuild.sh, line 44:   Called src_install
 *   pdflib-7.0.2.ebuild, line 111:   Called java-pkg_dojar 'bind/pdflib/java/pdflib.jar'
 *   java-utils-2.eclass, line 289:   Called die
 *
 * bind/pdflib/java/pdflib.jar does not exist
 * If you need support, post the topmost build error, and the call stack if relevant.
 * A complete build log is located at '/var/tmp/portage/media-libs/pdflib-7.0.2/temp/build.log'.


Là aussi, est-ce que quelqu'un pourrai m'aider ? (Vous auriez peut-être besoin du "complete build log" ? J'ai pas osé le mettre.)
Merci encore.
Back to top
View user's profile Send private message
Desintegr
l33t
l33t


Joined: 25 Mar 2004
Posts: 863
Location: France - Orléans

PostPosted: Tue Mar 11, 2008 8:28 pm    Post subject: Reply with quote

Bienvenue :) !

Si utilises Sabayon, pourquoi demandes-tu de l'aide sur un forum Gentoo ?
Il y a un forum officiel en français pour Sabayon et ils seront surement mieux renseignés que nous sur cette distribution.

Les utilisateurs d'Ubuntu qui utilisent apt-get vont-ils sur un forum Debian pour demander de l'aide ? Je ne crois pas :P.
Pareil pour Gentoo et Sabayon.

De plus, je crois que les ebuilds de Sabayon sont modifiés par rapport à ceux de Gentoo. Un problème qui existe sur Sabayon n'existe pas forcément sur Gentoo.
_________________
Gentoo ~AMD64
Hoc Volo, Sic Jubeo !
Mon wiki : http://desintegr.free.fr
Back to top
View user's profile Send private message
blaznyoght
n00b
n00b


Joined: 25 Dec 2003
Posts: 18
Location: Amiens 80 (France)

PostPosted: Tue Mar 11, 2008 8:44 pm    Post subject: Reply with quote

Salut,

il se trouve que par hasard, cet après midi j'ai eu un problème similaire en voulant passer direct en ~x86 à partir d'un stage3 qui devait être un peu trop ancien.

Alors si tu es en ~x86, essaie de repasser en x86 le temps de mettre portage à jour.
Back to top
View user's profile Send private message
ghoti
Advocate
Advocate


Joined: 30 Dec 2002
Posts: 3581
Location: Belgium

PostPosted: Tue Mar 11, 2008 10:17 pm    Post subject: Reply with quote

@blaznyoght : En effet, c'est à peu près ça ! :-)

Ce topic anglais donne des détails :
slycordinator wrote:
You need to do one of the following:

1) Stop using the unstable-branch version of bash (remove bash from your /etc/portage/package.keywords then do "emerge -1 bash")
2) Upgrade to current stable version of portage (simply do "emerge -1 sys-apps/portage")

edit: See, the block isn't because of the version of portage you will be installing... the block is being hit because of the version you already have installed; once you upgrade portage the block will no longer apply


En french, ça donne à peu près ça :
Quote:
Il faut que tu appliques une des solutions suivantes :

1) Arrête d'utiliser la version instable de bash (enlève bash de ton /etc/portage/package.keywords puis fais un "emerge -1 bash")
2) Mets portage à jour à la version courante ( fais simplement un "emerge -1 sys-apps/portage")

edit: Regarde, le blocage n'est pas dû à la version de portage que tu vas installer... le blocage résulte de la version qui est déjà installée; une fois que tu auras mis portage à jour, le blocage ne sera plus d'application
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum